<!doctype html>
<html lang="en" itemscope itemtype="http://schema.org/Article">
<head>
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js">
  </script>
  <script src="https://apis.google.com/js/client:platform.js?onload=start" async defer>
  </script>
    <script>
      function start() {
        gapi.load('auth2', function() {
          auth2 = gapi.auth2.init({
            client_id: '191350097820-bompejk5mlp0ttdeb0rt1aub91dh26up.apps.googleusercontent.com',
            // Scopes to request in addition to 'profile' and 'email'
            //scope: 'additional_scope'
          });
        });
      }
    </script>

  <meta charset="utf-8">
  <title>Springang</title>
  <base href="/">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="icon" type="image/x-icon" href="favicon.ico">
</head>
<body>
  <app-root></app-root>

  <button id="signinButton">Sign in with Google</button>
<script>
  $('#signinButton').click(function() {
    // signInCallback defined in step 6.
    auth2.grantOfflineAccess().then(signInCallback);
  });
</script>

<script>
  function signInCallback(authResult) {
    if (authResult['code']) {
  
      // Hide the sign-in button now that the user is authorized, for example:
      $('#signinButton').attr('style', 'display: none');
  
      // Send the code to the server
      $.ajax({
        type: 'POST',
        url: 'http://localhost:8081/data',
        // Always include an `X-Requested-With` header in every AJAX request,
        // to protect against CSRF attacks.
        headers: {
          'X-Requested-With': 'XMLHttpRequest',
          'Access-Control-Allow-Origin': '*',
          'Access-Control-Allow-Methods' : 'GET, POST, PATCH, PUT, DELETE, OPTIONS',
          'Access-Control-Allow-Headers' : 'Origin, Content-Type, X-Auth-Token'

        },
        contentType: 'application/octet-stream; charset=utf-8',
        success: function(result) {
          // Handle or verify the server response.
          console.log('It is success ')
        },
        processData: false,
        data: authResult['code']
       
      });
      console.log('auth code '+data)
    } else {
      // There was an error.
    }
  }
  </script>
</body>
</html>
